Skip to main content
GET
/
api
/
public
/
v1
/
participants
/
List Participants
curl --request GET \
  --url https://api.userintuition.ai/api/public/v1/participants/ \
  --header 'Authorization: Bearer <token>'
{
  "participants": [
    {
      "id": "<string>",
      "study_id": "<string>",
      "email": "<string>",
      "panel_status": "<string>",
      "reward_sent": true,
      "reward_sent_at": "2023-11-07T05:31:56Z",
      "sent_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total_count": 123,
  "page": 123,
  "page_size": 123
}

Authorizations

Authorization
string
header
required

Authenticate with an API key (prefixed ui_sk_) or a JWT token from the dashboard.

Query Parameters

page
integer
default:1
Required range: x >= 1
page_size
integer
default:10
Required range: 1 <= x <= 100
study_id
string | null

Filter by study

email
string | null

Filter by email

Response

Successful Response

participants
PublicParticipant · object[]
required
total_count
integer
required
page
integer | null
page_size
integer | null